File: INSTALL

package info (click to toggle)
sylpheed-claws 1.0.5-5.1
  • links: PTS
  • area: main
  • in suites: etch, etch-m68k
  • size: 20,684 kB
  • ctags: 14,192
  • sloc: ansic: 128,552; sh: 9,615; makefile: 1,741; yacc: 1,740; perl: 1,664; python: 212; lex: 200; sed: 16
file content (82 lines) | stat: -rw-r--r-- 2,565 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
Installation
============

This program requires GTK+ 1.2.x to be compiled.

Build it
========

Please make sure that gtk-devel and glib-devel (or similar) packages are
installed before the compilation (you may also require flex (lex) and bison
(yacc)).

To compile and install, just type:

% ./configure
% make
% su
Password: [Enter password]
# make install

Additional libraries
====================
only needed if you require the additional functionality

compface
    for X-Face support
    http://freshmeat.net/projects/compface/
GnuPG (>= 1.2.1) and GPGME (>= 0.3.12 and < 0.4)
    for GnuPG support
    http://www.gnupg.org/
    ftp://ftp.gnupg.org/gcrypt/gpgme/
OpenSSL (>= 0.9.7)
    for SSL support
    http://www.openssl.org/
OpenLDAP (>= 2.0.7)
    for LDAP support
    http://www.openldap.org/
Aspell (>= 0.50) (and dictionaries)
    for spell-checker support
    http://aspell.sourceforge.net/
J-Pilot
    for J-Pilot support
    http://www.jpilot.org/
gdk-pixbuf or imlib
    for image viewer plugin support
    ftp://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/
    ftp://ftp.gnome.org/pub/GNOME/sources/imlib/
SpamAssassin
    for SpamAssassin plugin support
    http://spamassassin.org/
Clam AntiVirus
    for Clam AntiVirus plugin support
    http://clamav.sourceforge.net/
Dillo (>= 0.7.0)
    for Dillo HTML viewer plugin support
    http://www.dillo.org/
GtkMathView (>= 0.4.2 and < 0.5)
    for MathML viewer plugin support
    http://helm.cs.unibo.it/mml-widget/
  
Options for configure script
============================
  --with-config-dir=RCDIR      	    Local config dir (default: .sylpheed)
  --disable-compface  		    disable compface (X-Face) support
  --disable-ipv6      		    disable IPv6 support
  --disable-openssl    		    disable OpenSSL support
  --enable-aspell     		    GNU/aspell support
  --enable-ldap       		    LDAP support
  --enable-jpilot     		    JPilot support
  --enable-crash-dialog   	    enable crash dialog
  --disable-startup-notification    disable startup notification support
  --disable-trayicon-plugin         Do not build System Tray Icon plugin
  --enable-spamassassin-plugin      Build SpamAssassin plugin
  --disable-pgpmime-plugin          Do not build PGP/MIME plugin
  --disable-mathml-viewer-plugin    Do not build MathML-Viewer plugin
  --disable-image-viewer-plugin     Do not build image viewer plugin
  --disable-dillo-viewer-plugin     Do not build Dillo plugin
  --disable-clamav-plugin           Do not build Clam AntiVirus plugin
 
For other options, refer to ./configure --help .